<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xinelu.manage.mapper.subscribemessagesendrecord.SubscribeMessageSendRecordMapper">

    <insert id="insertSubscribeMessageSendRecordList" parameterType="java.util.List">
        insert into subscribe_message_send_record(
        openid,
        applet_id,
        subscribe_time,
        template_id,
        msg_id,
        message_type,
        error_code,
        error_status,
        create_time
        ) values
        <foreach item="sendRecord" index="index" collection="list" separator=",">
            (
            #{sendRecord.openid},
            #{sendRecord.appletId},
            #{sendRecord.subscribeTime},
            #{sendRecord.templateId},
            #{sendRecord.msgId},
            #{sendRecord.messageType},
            #{sendRecord.errorCode},
            #{sendRecord.errorStatus},
            #{sendRecord.createTime}
            )
        </foreach>
    </insert>
</mapper>